.threaded-page {
    display: flex;
    gap: 35px;
    padding: 20px 4%;
}

.threaded-sidebar {
    width: 280px;
    flex-shrink: 0;
    background: #f8f8f8;
    border: 1px solid #e5e5e5;
    border-radius: 10px;
    padding: 25px;
    height: fit-content;
    position: sticky;
    top: 100px;
}

.threaded-sidebar h2 {
    font-size: 24px;
    margin-bottom: 20px;
    color: #0d5d7b;
}

.threaded-sidebar a {
    display: block;
    padding: 10px 0;
    color: #444;
    text-decoration: none;
    border-bottom: 1px solid #ececec;
    transition: 0.3s;
}

.threaded-sidebar a:hover {
    color: #0d5d7b;
    padding-left: 8px;
}

.threaded-content {
    flex: 1;
}

.threaded-content h2 {
    font-size: 42px;
    margin-bottom: 20px;
}

.threaded-content h3 {
    margin-top: 35px;
    margin-bottom: 15px;
}

.threaded-content p {
    line-height: 1.8;
    margin-bottom: 15px;
}



@media(max-width:992px) {

    .threaded-page {
        flex-direction: column;
    }

    .threaded-sidebar {
        width: 100%;
        position: relative;
        top: auto;
    }

    .threaded-content h2 {
        font-size: 32px;
    }
}

.threaded-gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    margin: 40px 0;
}

.gallery-card {
    text-align: center;
}

.gallery-card img {
    width: 100%;
    height: 170px;
    object-fit: cover;

    border: 1px solid #d9d9d9;
    border-radius: 4px;

    padding: 4px;
    background: #fff;
}

.gallery-card h4 {
    margin-top: 15px;

    font-size: 18px;
    font-weight: 500;
    line-height: 1.5;

    color: #444;
}

@media(max-width:992px) {

    .threaded-gallery {
        grid-template-columns: 1fr;
    }

    .gallery-card img {
        height: auto;
    }

}

html {
    scroll-behavior: smooth;
}

.threaded-toc {
    background: #f8f8f8;
    padding: 40px;
    border-radius: 10px;
    margin: 12px 0;
}

.threaded-toc h2 {
    margin-bottom: 25px;
    color: #1b1b1b;
}

.toc-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.toc-column {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.toc-column a {
    text-decoration: none;
    color: #2d6a4f;
    font-size: 18px;
    transition: 0.3s;
}

.toc-column a:hover {
    color: #0d3b66;
    padding-left: 8px;
}

@media(max-width:768px) {

    .toc-grid {
        grid-template-columns: 1fr;
    }

}

.threaded-info-section {
    margin: 60px 0px;
}

.threaded-info-section h2 {
    font-size: 30px;
    margin: 30px;
    color: #1b1b1b;
}

.threaded-main-image {
    text-align: center;
    margin-bottom: 30px;
}

.threaded-main-image img {
    width: 100%;
    max-width: 750px;
    border-radius: 6px;
    display: block;
    margin: auto;
}

.image-caption {
    font-size: 18px;
    color: #666;
    margin-top: 15px;
}

.threaded-info-section p {
    font-size: 18px;
    line-height: 1.9;
    color: #444;
    margin-bottom: 20px;
}

.threaded-specification-section{
    margin:50px 20px;
}

.threaded-specification-section h2{
    font-size:28px;
    margin-bottom:25px;
    color:#1b1b1b;
}

.specification-table-wrapper{
    overflow-x:auto;
}

.specification-table{
    width:100%;
    border-collapse:collapse;
}

.specification-table td{
    border:1px solid #ddd;
    padding:15px 23px;
    font-size:17px;
    line-height:1.8;
    vertical-align:top;
}

.specification-table tr:nth-child(odd){
    background:#f8f8f8;
}

.specification-table td:first-child{
    width:30%;
    font-weight:600;
    color:#1f2937;
}



.image-box{
    position:relative;
    height:200px;
    overflow:hidden;
}


.threaded-types-section{
    padding:70px 0;
}

.threaded-types-section h2{
    text-align:center;
    font-size:38px;
    color:#0d2c54;
    margin-bottom:50px;
}

.threaded-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
    padding: 20px;
}

.threaded-card{
    position:relative;
    overflow:hidden;
    height:250px;
    text-decoration:none;
    border:2px solid #e5e5e5;
    border-radius:12px;
    background:#fff;
    transition:all .3s ease;
}

.threaded-card:hover{
    border-color:#3e4e67;
    box-shadow:0 10px 25px rgba(0,0,0,.12);
}

.threaded-card img{
    width:70%;
    height:100%;
    margin: 10px;
    padding: 20px;
    /* object-fit:cover; */
    transition:0.5s;
}

.overlay{
    position:absolute;
    inset:0;
    background:rgba(0,0,0,0.55);
    display:flex;
    align-items:center;
    justify-content:center;
    opacity:0;
    transition:0.4s;
}

.overlay h3{
    color:#fff;
    font-size:24px;
    text-align:center;
    padding:0 15px;
    transform:translateY(20px);
    transition:0.4s;
}

.threaded-card:hover img{
    transform:scale(1.08);
}

.threaded-card:hover .overlay{
    opacity:1;
}

.threaded-card:hover .overlay h3{
    transform:translateY(0);
}
.card-title{
    padding:15px;
    text-align:center;
    font-size:20px;
    font-weight:600;
    color:#0d2c54;
    background:#fff;
}

@media(max-width:991px){

    .threaded-grid{
        grid-template-columns:repeat(2,1fr);
    }

}

@media(max-width:576px){

    .threaded-grid{
        grid-template-columns:1fr;
    }

}




.manufacturing-standards-section{
    padding:70px 20px;
    background:#f8fafc;
}

.manufacturing-standards-section h2{
    text-align:center;
    font-size:38px;
    color:#0d2c54;
    margin-bottom:50px;
}

.standards-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
}

.standard-card{
    background:#fff;
    border:1px solid #e5e7eb;
    border-left:5px solid #214171;
    padding:25px;
    border-radius:10px;
    transition:.3s;
}

.standard-card:hover{
    transform:translateY(-6px);
    box-shadow:0 10px 25px rgba(0,0,0,.08);
}

.standard-card h3{
    color:#0d2c54;
    font-size:22px;
    margin-bottom:12px;
}

.standard-card p{
    color:#555;
    line-height:1.7;
    margin:0;
}

@media(max-width:991px){
    .standards-grid{
        grid-template-columns:repeat(2,1fr);
    }
}

@media(max-width:576px){
    .standards-grid{
        grid-template-columns:1fr;
    }

    .manufacturing-standards-section h2{
        font-size:28px;
    }
}


.material-section{
    padding:70px 20px;
    background:#f8fafc;
}

.material-section h2{
    font-size:38px;
    color:#0d2c54;
    text-align:center;
    margin-bottom:50px;
}

.material-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:30px;
}

.material-card{
    background:#fff;
    border-radius:14px;
    overflow:hidden;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
    transition:.3s;
}

.material-card:hover{
    transform:translateY(-6px);
}

.material-header{
    background:#183f71e6;
    /* background:#0d2c54; */
    color:#fff;
    padding:20px;
    display:flex;
    align-items:center;
    gap:15px;
}

.material-header i{
    font-size:24px;
}

.material-header h3{
    margin:0;
    font-size:22px;
}

.material-content{
    padding:25px;
}

.material-content h4{
    color:#0d2c54;
    margin-bottom:15px;
}

.material-content p{
    line-height:1.8;
    color:#555;
}

.material-content ul{
    margin-top:20px;
    padding-left:18px;
}

.material-content li{
    margin-bottom:12px;
    color:#444;
}

.material-footer{
    margin-top:40px;
    background:#fff;
    padding:25px;
    text-align:center;
    border-radius:12px;
    box-shadow:0 5px 15px rgba(0,0,0,.06);
}

.material-footer h3{
    color:#0d2c54;
    margin:0;
}

@media(max-width:991px){

    .material-grid{
        grid-template-columns:1fr;
    }

    .material-section h2{
        font-size:30px;
    }

}




.dimension-section{
    padding:70px 0;
    /* background:#f8fafc; */
}

.section-heading{
    text-align:center;
    max-width:900px;
    margin:0 auto 40px;
}

.section-heading h2{
    font-size:38px;
    color:#0d2c54;
    margin-bottom:15px;
}

.section-heading p{
    font-size:17px;
    line-height:1.8;
    color:#555;
}

.dimension-image-box{
    /* background:#fff; */
    padding:20px;
    border-radius:15px;
    box-shadow:0 8px 25px rgba(0,0,0,0.08);
    margin-bottom:40px;
    text-align:center;
}

.dimension-image-box img{
    width:100%;
    max-width:900px;
    height:auto;
    border-radius:10px;
}

.dimension-note{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
}

.note-card{
    background:#fff;
    padding:25px;
    text-align:center;
    border-radius:12px;
    box-shadow:0 5px 15px rgba(0,0,0,.06);
    transition:.3s;
}

.note-card:hover{
    transform:translateY(-5px);
}

.note-card h3{
    color:#0d2c54;
    margin-bottom:10px;
}

.note-card p{
    color:#555;
    line-height:1.6;
}

@media(max-width:991px){

    .dimension-note{
        grid-template-columns:1fr;
    }

    .section-heading h2{
        font-size:30px;
    }

}


.weight-chart-section{
    padding:10px 20px;
}

.weight-chart-section h2{
    font-size:30px;
    color:#244167;
    text-align:center;
    margin-bottom:35px;
}

.table-wrapper{
    overflow-x:auto;
    border-radius:15px;
    box-shadow:0 10px 30px rgba(0, 0, 0, 0);
}

.weight-chart-table{
    width:100%;
    border-collapse:collapse;
    background:#fff;
}

.weight-chart-table thead{
    background:#3b5c88;
}

.weight-chart-table thead th{
    color:#fff;
    padding:13px;
    text-align:center;
    font-size:15px;
    letter-spacing:.5px;
}

.weight-chart-table td{
    padding:14px;
    text-align:center;
    border:1px solid #e5e7eb;
    color:#555;
    font-size:13px;
}

.weight-chart-table tbody tr:nth-child(even){
    background:#f8fafc;
}

.weight-chart-table tbody tr:hover{
    background:#eaf4ff;
    transition:.3s;
}

.weight-chart-table tbody td:first-child{
    font-weight:600;
    color:#0d2c54;
}

.table-footer{
    background:#f5f7fa;
    padding:18px;
    text-align:center;
    border:1px solid #e5e7eb;
    border-top:none;
    color:#0d2c54;
    font-size:16px;
}

@media(max-width:768px){

    .weight-chart-section h2{
        font-size:28px;
    }

    .weight-chart-table th,
    .weight-chart-table td{
        padding:12px;
        font-size:14px;
    }

}



.size-chart-section{
    padding:40px 20px;
}

.size-chart-section h2{
    text-align:center;
    font-size:30px;
    color:#102138;
    margin-bottom:35px;
}

.table-wrapper{
    overflow-x:auto;
    border-radius:15px 15px 0 0;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
}

.size-chart-table{
    width:100%;
    border-collapse:collapse;
    background:#fff;
    min-width:850px;
}

.size-chart-table thead tr:first-child{
    background:#314663;
}

.size-chart-table thead tr:last-child{
    background:#1e3e63;
}

.size-chart-table th{
    color:#fff;
    padding:16px;
    text-align:center;
    border:1px solid rgba(255,255,255,.1);
    font-weight:600;
}

.size-chart-table td{
    padding:15px;
    text-align:center;
    border:1px solid #e5e7eb;
    color:#555;
}

.size-chart-table tbody tr:nth-child(even){
    background:#f8fafc;
}

.size-chart-table tbody tr:hover{
    background:#eef6ff;
}

.size-chart-table tbody td:first-child{
    font-weight:600;
    color:#0d2c54;
}

.table-footer{
    background:#f5f7fa;
    padding:18px;
    text-align:center;
    border:1px solid #e5e7eb;
    border-top:none;
    color:#0d2c54;
    font-size:16px;
    border-radius:0 0 15px 15px;
}

@media(max-width:768px){

    .size-chart-section h2{
        font-size:28px;
    }

    .size-chart-table th,
    .size-chart-table td{
        padding:12px;
        font-size:14px;
    }

}



.price-list-section{
    padding:50px 20px;
    background:#f8fafc;
}

.price-list-section h2{
    text-align:center;
    font-size:30px;
    color:#0d2c54;
    margin-bottom:40px;
}

.price-table{
    width:100%;
    border-collapse:collapse;
    background:#fff;
}

.price-table thead{
    background:#1d385b;
}

.price-table th{
    color:#fff;
    padding:18px;
    text-align:left;
    font-size:15px;
}

.price-table td{
    padding:18px;
    border:1px solid #e5e7eb;
    line-height:1.7;
    color:#555;
}

.price-table tbody tr:nth-child(even){
    background:#f8fafc;
}

.price-table tbody tr:hover{
    background:#eef6ff;
}

.price-table td:nth-child(2){
    color:#16a34a;
    font-weight:700;
}

.price-table td:nth-child(3){
    color:#2563eb;
    font-weight:700;
}

.price-table td:nth-child(4){
    color:#dc2626;
    font-weight:700;
}

.price-content{
    margin-top:35px;
    background:#fff;
    padding:30px;
    border-radius:12px;
    box-shadow:0 5px 15px rgba(0,0,0,.06);
}

.price-content p{
    line-height:1.9;
    color:#555;
    margin-bottom:15px;
}

@media(max-width:768px){

    .price-list-section h2{
        font-size:28px;
    }

    .price-table{
        min-width:900px;
    }

}